function [anakmark,anaktran] = findchild(forward, ...
  backward,mark,tran)
  // fungsi ini bertujuan untuk mencari semua keadaan
  // yang dapat dicapai dari himpunan keadaan
  // dengan memfire semua transisi yang enabled
  // marking
  anakmark = [];
  // transisi
  anaktran = [];

  // jumlah transisi
  [pm,tn] = size(forward);

  // jumlah keadaan di variabel mark
  nmark = size(mark,2);

  // proses perulangan (inti)
  for i = 1:tn
    idenabled = vectorfind(bool2s(ones(1,nmark).*. ...
      backward(:,i) <= mark),ones(pm,1),'c');
    nenabled = length(idenabled);
    anakmark = [anakmark ones(1,nenabled).*. ...
      (forward(:,i)-backward(:,i))+mark(:,idenabled)];
    anaktran = [anaktran [tran(:,idenabled); ...
      ones(1,nenabled).*.[i]]];
  end
endfunction
