function konservasi = isconservation(node_tree, ...
  idbounded) // pengujian sifat konservasi di Petri net

  // inisialisasi
  konservasi = %t;

  // membangun matriks A untuk sistem persamaan linier
  node_tree = node_tree';
  [brs,klm] = size(node_tree);
  node_tree = [node_tree(:,idbounded) -ones(brs,1)];

  // menyelesaikan sistem persamaan linier
  [x0,kerA] = linsolve(node_tree,zeros(brs,1));
  // apakah solusi trivial ?
  if kerA == [] & x0 == zeros(klm+1,1)
    konservasi = %f; // solusi trivial
  end
endfunction
