function Z = maxpluszeros(a,b)

// Z = maxpluszeros(a,b), max-plus algebra zeros matrix
// All elements of this matrix are -%inf


// Display mode
mode(0);

// Display warning for floating point exception
ieee(1);

if a <= 0 | b <= 0
   error('The input function must be positive integers');
end

Z = zeros(a,b);
Z(:) = -%inf;


endfunction